#!/bin/bash

exercice_path=$1

otbcli_BandMath -il ${exercice_path}/phr_xs_melbourne.tif -out solution/ndvi.tif float -exp "(im1b4-im1b1)/(im1b4+im1b1)"
otbcli_BandMath -il ${exercice_path}/phr_xs_melbourne.tif -out solution/lownir.tif uint8 -exp "if(im1b4<150,255,0)"
otbcli_BandMath -il ${exercice_path}/phr_xs_melbourne.tif -out solution/high.tif uint8 -exp "if(min(im1b1,im1b2,im1b3,im1b4)>1000,255,0)"
otbcli_ConcatenateImages -il solution/high.tif solution/ndvi.tif solution/lownir.tif -out solution/map1.tif float
otbcli_ColorMapping -in solution/ndvi.tif -out solution/map2.png uint8 -method continuous -method.continuous.min -0.2 -method.continuous.max 0.7 -method.continuous.lut jet
